﻿/*
  newbie assist script
  author Line 2017/06/23
  version 1.0
  CooperativeMission時における初心者支援用スクリプト
  【使用方法】
  init.sqf末文に加えるだけ
  【仕様】
  ・初心者モード変更有効時間５分
  ・途中参加者対応
  ・ローカル環境下で隊長にマーカーを付与しマップ上で隊長の現在地が確認できます。
  ・右上に隊長との距離、方位が表示され迷子になる事を防止します。

  e.g [] execVM "LineScripts\newbie.sqf";
*/
if (isDedicated || !hasInterface) exitWith {};
missionNamespace setVariable ["newbiAssistDone",0];
missionNamespace setVariable ["leaderLocation",5];
player addAction ["<t color='#00ff00'>初心者モードを有効にする",{missionNamespace setVariable ['newbiAssistDone',1];[leader (group (vehicle player)),'mil_triangle','Leader','colorwest'] spawn Line_fnc_leaderMarker;},0,2,true,true,"","(missionNamespace getVariable ['newbiAssistDone',0]) == 0 && time < 300"];
player addAction ["<t color='#ffff00'>初心者モードを無効にする",{missionNamespace setVariable ['newbiAssistDone',0];},0,2,true,true,"","(missionNamespace getVariable ['newbiAssistDone',0]) == 1"];
player addAction ["<t color='#00d3ff'>リーダーの位置を確認する",{missionNamespace setVariable ['leaderLocation',0];},0,2,true,true,"","(missionNamespace getVariable ['newbiAssistDone',0]) == 1 && (missionNamespace getVariable ['leaderLocation',0]) == 5"];
Line_fnc_leaderMarker = {
  if ((missionNamespace getVariable ["newbiAssistDone",0]) == 0) exitWith {};
params ["_unit","_TYPE","_TEXT","_Color"];
_leader = driver _unit;
_group = group _leader;
_unitm = format ["%1", _unit];
sleep 2;
_markerobj = createMarkerLocal [_unitm,[getpos _unit select 0,getpos _unit select 1]];
_markerobj setMarkerSizeLocal [0.6, 0.6];
_markerobj setMarkerTypeLocal _TYPE;
_markerobj setMarkerColorLocal _Color;
_OBJTEXT = _TEXT;
_mrkText = format ["%1",_OBJTEXT];
_markerobj setMarkerTextLocal _mrkText;
for [{_loop=0}, {_loop<1}, {_loop=_loop}] do
{
  if (!alive _unit || ((missionNamespace getVariable ["newbiAssistDone",0]) == 0)) exitwith {deleteMarker _markerobj;[leader (group (vehicle player)),"mil_triangle","Leader","colorwest"] spawn Line_fnc_leaderMarker;};
  _markerobj setMarkerColorLocal _Color;
  _markerobj setMarkerPosLocal [getpos _unit select 0,getpos _unit select 1];
  _dir = getDir _unit;
  _markerobj setMarkerDirLocal _dir;
  _mrkText = format ["%1",_OBJTEXT];
  _markerobj setMarkerTextLocal _mrkText;
  if ((missionNamespace getVariable ['leaderLocation',0]) < 5) then {
  hintSilent format ["リーダーの方位 %1°\nリーダーまでの距離 %2m",round (player getDir _unit),round (player distance2D _unit)];
  _radarNumCount = missionNamespace getVariable "leaderLocation";
  _radarCount = _radarNumCount + 1;
  missionNamespace setVariable ["leaderLocation",_radarCount];
};
  sleep 5.0;
  _markerobj setMarkerAlphaLocal 0.5;
  sleep 5.0;
  _markerobj setMarkerColorLocal _Color;
  _markerobj setMarkerPosLocal [getpos _unit select 0,getpos _unit select 1];
  _dir = getDir _unit;
  _markerobj setMarkerDirLocal _dir;
  _markerobj setMarkerAlphaLocal 1;
  _mrkText = format ["%1",_OBJTEXT];
  _markerobj setMarkerTextLocal _mrkText;
  if ((missionNamespace getVariable ['leaderLocation',0]) < 5) then {
  hintSilent format ["リーダーの方位 %1°\nリーダーまでの距離 %2m",round (player getDir _unit),round (player distance2D _unit)];
  _radarNumCount = missionNamespace getVariable "leaderLocation";
  _radarCount = _radarNumCount + 1;
  missionNamespace setVariable ["leaderLocation",_radarCount];
};
};
};