﻿/*
 Safe Zone script
 author : Line  2017/06/22
 version 1.0
 e.g ["marker_0",150] execVM "LineScripts\safeZone.sqf";
 default : marker "start" Number 100m
*/
if (isDedicated || !hasInterface) exitWith {};
params [["_startMrk","start"],["_area",100]];

private ["_startMrk","_area"];
waitUntil {getClientStateNumber > 9};
_safeZone = getMarkerPos _startMrk;
if (player distance2D _safeZone < _area) exitWith {
   _eh = player addEventHandler ["fired", {deleteVehicle (_this select 6);}];
   player allowDamage false;
   hint "発砲規制区域に居る為、銃又は手榴弾の使用ができません。";
   waitUntil {player distance2D _safeZone > _area};
   player removeEventHandler ["fired", _eh];
   player allowDamage true;
   systemChat "発砲規制区域を抜けました。"
};